Bug 836188 - [abrt] virtuoso-opensource-6.1.5-2.fc17: gpf_notice: Process /usr/bin/virtuoso-t was killed by signal 11 (SIGSEGV)
[abrt] virtuoso-opensource-6.1.5-2.fc17: gpf_notice: Process /usr/bin/virtuos...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: virtuoso-opensource (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
abrt_hash:7cccc4e20af0b34ff222a4fc1ff...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 06:03 EDT by Andrew
Modified: 2013-08-01 05:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:24:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (10.10 KB, text/plain)
2012-06-28 06:03 EDT, Andrew
no flags Details
File: maps (7.77 KB, text/plain)
2012-06-28 06:03 EDT, Andrew
no flags Details

  None (edit)
Description Andrew 2012-06-28 06:03:20 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/virtuoso-t +foreground +configfile /tmp/virtuoso_hX1183.ini +wait
comment:        just log-in into kde session
crash_function: gpf_notice
executable:     /usr/bin/virtuoso-t
kernel:         3.4.3-1.fc17.i686.PAE
pid:            2271
pwd:            /home/andrew/.kde/share/apps/nepomuk/repository/main/data/virtuosobackend
time:           Thu 28 Jun 2012 12:00:14 PM EEST
uid:            1000
username:       andrew

backtrace:      Text file, 10339 bytes
maps:           Text file, 7956 bytes

build_ids:
:20eaf26335aa318368a086ceb5466a50d135b9fd
:96839607fd27e8e1d2fcdccb0c39d0efd866bad3
:c779bf7bd62c0dec8aa3bab35e55a687fc3bf304
:ff54fb9675f9dc14d73f0fcf241527803f43d541
:962dbc6c144ca8b0ea47ad1c86e9b1e79098f749
:c3f0ec3b8bc1f9e0c75939d81e1b06a0f422d5eb
:fe5cb478475f1731df386be09bc4be60b90522f5
:4a67be981032dc57d5ce97b19af4581afaa7748b
:62150f38cf11baa1966ed86cf2c4839bd029b0c8
:ca27d3e4fd87e639e29cf2e1f199534a8fd8ce98
:ccd17c03940a8cb54bb2f9c6f6d76626976fccf7
:39f68629ed335b6af6a58da06697acfaa49f2c1c
:d2f1de4778359e6aa9522bb4238bef11f5d32ed5
:7468ba793c595989f2e6a123e4a2af42f38ef0fe
:f7b37fe7f295140ccae72dd57cb13c1d3eb4fc02
:9941218a8497aa21a71af8406fe4906d04d51d78
:0bbd42c6733ae246ccfca3edc465f5cbff924cdc
:32be2d39ab02279e88b0009cacc44eb7a5d0343c
:657bed8df5cfda1d7eb24a25a043cfbdf228b933
:c231c23d958aa42bb98f000cee5a9a11e090249d
:f13e5fa699a7129ee3080ddeb31558ef7578cddb
:99912e7d86a35a6db645f4f4ed689312de502a96
:bef638b29fdf84e92e8f33383eb8adb175128188
:857faf41f9264d5ca81d646253beb9fe6782f28d
:c9666f5e43b3b03d782acadda76ae3074095c8a4
:3e8db068ebbfae69654767b42d9b0475c53121e7
:fb3cb1110ae7c912fab80775ba5475cefdde55a0
:c26a641de431082e501e235ce16acf885da5aaac
:9b59878cde8cc59e831bb56758c7e4f21010cead
:cf7d47a8e476e39b1202cab69f3d9024573ed063
:9ff154685b04583c95ef0f393e8be81e3c51ca7b
:abcfe6b280fcee6f1f127d40d8f54e6b4d896f5a
:88355dd86bb6db28d6805ab8d9dc0c0f3886e721

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/andrew/1

core_backtrace:
:ff54fb9675f9dc14d73f0fcf241527803f43d541 0x42ca69 - [exe] -
:ff54fb9675f9dc14d73f0fcf241527803f43d541 0x8da56 - [exe] -
:ff54fb9675f9dc14d73f0fcf241527803f43d541 0x51c88 - [exe] -
:ff54fb9675f9dc14d73f0fcf241527803f43d541 0x64ad9 - [exe] -
:ff54fb9675f9dc14d73f0fcf241527803f43d541 0x66670 - [exe] -
:ff54fb9675f9dc14d73f0fcf241527803f43d541 0xa52e4 - [exe] -
:ff54fb9675f9dc14d73f0fcf241527803f43d541 0x4b767 - [exe] -
:ff54fb9675f9dc14d73f0fcf241527803f43d541 0x1996b1 - [exe] -
:ff54fb9675f9dc14d73f0fcf241527803f43d541 0x342b4 - [exe] -

dso_list:
:/usr/lib/libselinux.so.1 libselinux-2.1.10-3.fc17.i686 (Fedora Project) 1339620673
:/usr/lib/libpthread-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1339620668
:/usr/lib/libplds4.so nspr-4.9-2.fc17.i686 (Fedora Project) 1339620682
:/usr/lib/libnssutil3.so nss-util-3.13.4-2.fc17.i686 (Fedora Project) 1339620686
:/usr/lib/libgssapi_krb5.so.2.2 krb5-libs-1.10.2-2.fc17.i686 (Fedora Project) 1340725535
:/usr/lib/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.i686 (Fedora Project) 1339620656
:/usr/lib/libnss3.so nss-3.13.4-3.fc17.i686 (Fedora Project) 1339621290
:/usr/lib/libnspr4.so nspr-4.9-2.fc17.i686 (Fedora Project) 1339620682
:/usr/lib/libiodbcinst.so.2.1.19 libiodbc-3.52.7-3.fc17.i686 (Fedora Project) 1339620844
:/usr/bin/virtuoso-t virtuoso-opensource-1:6.1.5-2.fc17.i686 (Fedora Project) 1339621348
:/usr/lib/libkrb5.so.3.3 krb5-libs-1.10.2-2.fc17.i686 (Fedora Project) 1340725535
:/usr/lib/libnss_files-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1339620668
:/usr/lib/libiodbc.so.2.1.19 libiodbc-3.52.7-3.fc17.i686 (Fedora Project) 1339620844
:/usr/lib/libkeyutils.so.1.4 keyutils-libs-1.5.5-2.fc17.i686 (Fedora Project) 1339620734
:/usr/lib/libm-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1339620668
:/usr/lib/libssl3.so nss-3.13.4-3.fc17.i686 (Fedora Project) 1339621290
:/usr/lib/libcrypto.so.1.0.0j openssl-1:1.0.0j-1.fc17.i686 (Fedora Project) 1339620914
:/usr/lib/libfreebl3.so nss-softokn-freebl-3.13.4-2.fc17.i686 (Fedora Project) 1339620656
:/usr/lib/libcrypt-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1339620668
:/usr/lib/libkrb5support.so.0.1 krb5-libs-1.10.2-2.fc17.i686 (Fedora Project) 1340725535
:/usr/lib/libk5crypto.so.3.1 krb5-libs-1.10.2-2.fc17.i686 (Fedora Project) 1340725535
:/usr/lib/libcom_err.so.2.1 libcom_err-1.42.3-2.fc17.i686 (Fedora Project) 1340386793
:/usr/lib/ld-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1339620668
:/usr/lib/libssl.so.1.0.0j openssl-1:1.0.0j-1.fc17.i686 (Fedora Project) 1339620914
:/usr/lib/libz.so.1.2.5 zlib-1.2.5-6.fc17.i686 (Fedora Project) 1339620675
:/usr/lib/libc-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1339620668
:/usr/lib/libsasl2.so.2.0.23 cyrus-sasl-lib-2.1.23-29.fc17.i686 (Fedora Project) 1339620714
:/usr/lib/libldap-2.4.so.2.8.3 openldap-2.4.31-2.fc17.i686 (Fedora Project) 1339621296
:/usr/lib/libresolv-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1339620668
:/usr/lib/libdl-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1339620668
:/usr/lib/libplc4.so nspr-4.9-2.fc17.i686 (Fedora Project) 1339620682
:/usr/lib/libsmime3.so nss-3.13.4-3.fc17.i686 (Fedora Project) 1339621290
:/usr/lib/liblber-2.4.so.2.8.3 openldap-2.4.31-2.fc17.i686 (Fedora Project) 1339621296

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1014
:XDG_SESSION_ID=1
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=asus
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:XDM_MANAGED=method=classic
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/andrew/.gtkrc-2.0:/home/andrew/.gtkrc-2.0-kde4:/home/andrew/.kde/share/config/gtkrc-2.0
:GS_LIB=
:QTDIR=/usr/lib/qt-3.3
:QTINC=/usr/lib/qt-3.3/include
:KDE_FULL_SESSION=true
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=andrew
:SSH_AUTH_SOCK=/tmp/ssh-ziKUITdld992/agent.992
:DESKTOP_SESSION=kde-plasma
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/andrew/.local/bin:/home/andrew/bin
:MAIL=/var/spool/mail/andrew
:PWD=/home/andrew
:KDE_SESSION_UID=1000
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/andrew
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=Pulse-Glass
:LOGNAME=andrew
:QTLIB=/usr/lib/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-brlu6H5SWQ,guid=984ad42307f70b2d458e1e7c00000021
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/andrew
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/andrew/.kde/lib/kde4/plugins/:/usr/lib/kde4/plugins/
:XAUTHORITY=/tmp/kde-andrew/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1088,unix/unix:/tmp/.ICE-unix/1088
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/andrew/.gtkrc:/home/andrew/.kde/share/config/gtkrc
:LANGUAGE=

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30336                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30336                30336                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[26432]
:pos:	0
:flags:	00
:1:pipe:[26433]
:pos:	0
:flags:	01
:2:pipe:[26434]
:pos:	0
:flags:	01
:3:/home/andrew/.kde/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso.log
:pos:	10052
:flags:	02001
:4:/home/andrew/.kde/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso.lck
:pos:	14
:flags:	01
:5:/home/andrew/.kde/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso.db
:pos:	688128
:flags:	0100002
:6:/home/andrew/.kde/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso-temp.db
:pos:	8192
:flags:	0100002

smolt_data:
:
:
:General
:=================================
:UUID: 2e4d4ab7-ae55-4a52-ba45-f24271dab601
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4789.48
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2430M CPU @ 2.40GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2401
:System Memory: 3808
:System Swap: 4623
:Vendor: ASUSTeK Computer Inc.
:System: K53SD 1.0
:Form factor: Notebook
:Kernel: 3.4.3-1.fc17.i686.PAE
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7241:4163:4423) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(6945:4162:4163:4185) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:(32902:278:4163:5714) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4163:4423) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4163:4423) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4163:4423) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4318:4184:4163:5714) pci, None, VIDEO, N/A
:(32902:7200:4163:6979) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4163:4423) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(5772:43:6715:11319) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(6505:4227:4163:6225) pci, atl1c, ETHERNET, AR8151 v2.0 Gigabit Ethernet
:(32902:7171:4163:4423) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4163:4423) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4163:4423) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4163:4423) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4163:4423) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:7194:4163:4423) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(32902:257:4163:4423) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda5 / ext4 4096 4096 13091841 9217778 9086752 3276800 3094550 3094550
:/dev/sda7 /home ext4 4096 4096 15095225 11299444 10543272 3784704 3514892 3514892
:/dev/sda3 /boot ext4 1024 1024 508644 391132 365532 128016 127707 127707
:

var_log_messages:
:Jun 24 10:20:12 asus kernel: [46275.309353] virtuoso-t[9482]: segfault at ffffffff ip 08471a69 sp bfa256e0 error 6 in virtuoso-t[8045000+9dd000]
:Jun 24 10:20:13 asus abrt[9496]: Saved core dump of pid 9482 (/usr/bin/virtuoso-t) to /var/spool/abrt/ccpp-2012-06-24-10:20:13-9482 (19881984 bytes)
:Jun 25 20:33:49 asus kernel: [  115.808629] virtuoso-t[1870]: segfault at ffffffff ip 08471a69 sp bfb9c390 error 6 in virtuoso-t[8045000+9dd000]
:Jun 25 20:33:50 asus abrt[1903]: Saved core dump of pid 1870 (/usr/bin/virtuoso-t) to /var/spool/abrt/ccpp-2012-06-25-20:33:50-1870 (19881984 bytes)
:Jun 26 18:43:46 asus kernel: [   73.275351] virtuoso-t[1772]: segfault at ffffffff ip 08471a69 sp bfddfac0 error 6 in virtuoso-t[8045000+9dd000]
:Jun 26 18:43:46 asus abrt[1774]: Saved core dump of pid 1772 (/usr/bin/virtuoso-t) to /var/spool/abrt/ccpp-2012-06-26-18:43:46-1772 (19881984 bytes)
:Jun 26 18:47:25 asus kernel: [  292.058838] virtuoso-t[2620]: segfault at ffffffff ip 08471a69 sp bfcc7fb0 error 6 in virtuoso-t[8045000+9dd000]
:Jun 26 18:47:25 asus abrt[2622]: Saved core dump of pid 2620 (/usr/bin/virtuoso-t) to /var/spool/abrt/ccpp-2012-06-26-18:47:25-2620 (19881984 bytes)
:Jun 26 22:20:48 asus kernel: [  144.949103] virtuoso-t[1922]: segfault at ffffffff ip 08471a69 sp bf8cc430 error 6 in virtuoso-t[8045000+9dd000]
:Jun 26 22:20:48 asus abrt[1925]: Saved core dump of pid 1922 (/usr/bin/virtuoso-t) to /var/spool/abrt/ccpp-2012-06-26-22:20:48-1922 (19881984 bytes)
:Jun 27 21:04:40 asus kernel: [  115.861139] virtuoso-t[2279]: segfault at ffffffff ip 08471a69 sp bfbc36d0 error 6 in virtuoso-t[8045000+9dd000]
:Jun 27 21:04:41 asus abrt[2284]: Saved core dump of pid 2279 (/usr/bin/virtuoso-t) to /var/spool/abrt/ccpp-2012-06-27-21:04:40-2279 (19881984 bytes)
:Jun 28 12:00:14 asus kernel: [  117.941618] virtuoso-t[2271]: segfault at ffffffff ip 08471a69 sp bf9f5110 error 6 in virtuoso-t[8045000+9dd000]
:Jun 28 12:00:14 asus abrt[2274]: Saved core dump of pid 2271 (/usr/bin/virtuoso-t) to /var/spool/abrt/ccpp-2012-06-28-12:00:14-2271 (19881984 bytes)
Comment 1 Andrew 2012-06-28 06:03:26 EDT
Created attachment 594986 [details]
File: backtrace
Comment 2 Andrew 2012-06-28 06:03:29 EDT
Created attachment 594987 [details]
File: maps
Comment 3 Rex Dieter 2012-06-28 08:59:03 EDT
By the looks of it, your nepomuk db is hopelessly corrupted, I'd suggest disabling kde desktop search , systemsettings->desktop search

and backup/delete anything matching:

~/.kde/share/apps/nepomuk/
~/.kde/share/config/nepomuk*

and then optionally re-enable it.
Comment 4 Fedora End Of Life 2013-07-03 22:47:44 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 05:24:43 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.